A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal_batch",
"merchant_id": "<string>",
"livemode": true,
"settlement_profile_id": "<string>",
"terminal_ids": [
"<string>"
],
"status": "open",
"reconciliation_status": "not_started",
"currency": "<string>",
"transaction_count": 123,
"matched_item_count": 123,
"unmatched_item_count": 123,
"totals": {
"sales": 123,
"refunds": 123,
"voids": 123,
"tips": 123,
"fees": 123,
"tax": 123,
"net": 123
},
"data_as_of": 123,
"stale_after": 123,
"is_stale": true,
"opened_at": 123,
"closed_at": 123,
"reconciled_at": 123,
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Retrieve a Terminal batch
Retrieves one persisted Terminal batch for the Merchant and key mode.
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal_batch",
"merchant_id": "<string>",
"livemode": true,
"settlement_profile_id": "<string>",
"terminal_ids": [
"<string>"
],
"status": "open",
"reconciliation_status": "not_started",
"currency": "<string>",
"transaction_count": 123,
"matched_item_count": 123,
"unmatched_item_count": 123,
"totals": {
"sales": 123,
"refunds": 123,
"voids": 123,
"tips": 123,
"fees": 123,
"tax": 123,
"net": 123
},
"data_as_of": 123,
"stale_after": 123,
"is_stale": true,
"opened_at": 123,
"closed_at": 123,
"reconciled_at": 123,
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Merchant secret key, or an authorized Platform secret key with delegation where documented.
Headers
Merchant ID when an authorized Platform acts for a connected Merchant.
^mer_[0-9A-Za-z]{14}$Path Parameters
Ionic Terminal batch ID.
^tmb_[0-9A-Za-z]{24}$Response
The Terminal batch.
Unique identifier for the batch (tmb_…).
^tmb_[0-9A-Za-z]{24}$terminal_batch ID of the account that owns the batch (mer_…).
^mer_[0-9A-Za-z]{14}$ID of the settlement profile this batch belongs to (stlp_…).
^stlp_[0-9A-Za-z]{24}$IDs of the terminals whose transactions are in this batch (tmr_…).
^tmr_[0-9A-Za-z]{14}$Whether the batch is open, closing, or closed.
open, closing, closed Whether the batch's transactions have been matched to your charges and refunds. reconciled means every transaction is matched.
not_started, pending, reconciled, incomplete, needs_attention Three-letter ISO currency code, in lowercase.
^[a-z]{3}$Number of transactions in the batch.
Number of batch transactions matched to a charge or refund. Stays 0 until the batch is closed and matched.
Number of batch transactions not matched to a charge or refund. Stays 0 until the batch is closed and matched.
Money totals for the batch, in the smallest currency unit.
Show child attributes
Show child attributes
Unix epoch seconds represented by this snapshot.
Unix epoch seconds after which this snapshot is stale.
Whether the batch snapshot is past stale_after, so its totals may be out of date.
Unix epoch seconds when the batch opened.
Unix epoch seconds when the batch closed. Null until it closes.
Unix epoch seconds when every transaction was matched. Null until the batch is reconciled.
Unix epoch seconds when the batch was created.
Unix epoch seconds when the batch was last updated.

